package com.yida.data.job.task;


import com.yida.data.school.feign.news.RemoteNoticeSchoolService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
@Slf4j
public class SchoolNoticeTask {

    private final RemoteNoticeSchoolService remoteNoticeSchoolService;

    public void sendSchoolNotice(String noticeId) {
        log.info("发送学校通知任务执行，id:[{}]", noticeId);
        remoteNoticeSchoolService.sendNotice(Long.valueOf(noticeId));
    }
}
